/* =============================================================================
   general
   ========================================================================== */
.col2-set > .col-1,
.col2-set > .col-2{width: 100%}

.col2-set{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--ama-gutter-double-x);
    align-items: flex-start
}

p.form-row > label:first-child{display: block; margin-bottom: .5rem}
p.form-row + p.form-row{margin-top: var(--ama-margin-top-base)}

/* =============================================================================
   single product
   ========================================================================== */
.summary .woocommerce-variation-add-to-cart{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin: .9375rem -.625rem -.9375rem -.625rem
}
    .summary .woocommerce-variation-add-to-cart > *{margin: .9375rem .625rem}
    .summary .woocommerce-variation-add-to-cart > .po-group{flex: 0 0 calc(100% + .625rem)}

.summary table.variations tr{background: none!important}

.summary table.variations,
.summary table.variations > *,
.summary table.variations > * > *,
.summary table.variations > * > * > *{display: block}

.summary table.variations tr{
    display: grid;
    grid-template-columns: 80px 1fr;
    align-items: center;
    gap: .625rem 1.25rem;
}
.summary table.variations tr + tr{margin-top: 1.875rem}
.summary table.variations .reset_variations{display: none!important}
.summary table.variations .label > label{
    display: block;
    margin: 0;
    font-weight: 700;
    color: var(--ama-primary-color);
}

.single_variation_wrap > .woocommerce-variation:not(:empty){padding-top: 1.875rem}
.single_variation_wrap > .woocommerce-variation > .woocommerce-variation-availability{display: none!important}

.summary * + form.cart{margin-top: 2.5rem}

.summary .quantity{
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 0;
    width: 7.5rem;
    align-items: center
}
    .summary .quantity > input.qty,
    .summary .quantity > input.qty + .qty-unit-text{
        font-size: var(--ama-input-font-size);
        line-height: var(--ama-input-line-height);
        font-weight: var(--ama-input-font-weight);
        display: block;
        color: var(--ama-input-color);
        background-color: var(--ama-input-background-color);
        border-radius: var(--ama-input-border-radius);
        padding: var(--ama-input-padding-y) var(--ama-input-padding-x);
        border: var(--ama-input-border-width) solid var(--ama-input-border-color)
    }
    .summary .quantity > input.qty{
        color: var(--ama-input-color);
        background-color: var(--ama-input-background-color);
        border-radius: var(--ama-input-border-radius);
        padding: var(--ama-input-padding-y) var(--ama-input-padding-x);
        border: var(--ama-input-border-width) solid var(--ama-input-border-color);
        text-align: center
    }
    .summary .quantity > input.qty:not(:last-child){
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }
    .summary .quantity > input.qty + .qty-unit-text{
        font-size: .875rem;
        background-color: #f5f5f5;
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        border-left: none
    }
    .summary .quantity > input.qty:last-child{grid-column: 1 / -1}

.summary form:not(.variations_form).cart{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin: .9375rem -.625rem -.9375rem -.625rem;
}
    .summary form:not(.variations_form).cart > *{margin: .9375rem .625rem}

.summary > p.stock{display: none!important}

.product-type-variable .summary > .price{display: none!important}

.woocommerce-variation-add-to-cart > .quantity{
    transition: opacity .3s linear;
    opacity: 1
}
.woocommerce-variation-add-to-cart-disabled > .quantity{
    user-select: none;
    pointer-events: none;
    opacity: var(--ama-btn-disabled-opacity)
}

/* =============================================================================
   cart
   ========================================================================== */
table.woocommerce-cart-form__contents td.product-thumbnail{
    width: 3.75rem;
    padding-left: 0;
    padding-right: 0
}

.product-remove .remove{overflow: hidden; text-indent: -5000px}

/* =============================================================================
   checkout
   ========================================================================== */
div.woocommerce + div.woocommerce{margin-top: 3.75rem}

form.checkout.woocommerce-checkout{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--ama-gutter-double-x);
    align-items: flex-start
}
    form.checkout.woocommerce-checkout > :not(.col2-set, .woocommerce-checkout-review-order){grid-column: 1 / -1}
    form.checkout.woocommerce-checkout > #order_review_heading{display: none!important}
    form.checkout.woocommerce-checkout .col2-set{grid-template-columns: 1fr}

    .woocommerce-billing-fields > h3,
    .woocommerce-additional-fields > h3{margin-bottom: .625rem}

* + .woocommerce-checkout-payment{margin-top: 1.25rem}
.woocommerce-checkout-payment .place-order * + .button{margin-top: 1.25rem}

div.woocommerce-order{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--ama-gutter-double-x)
}
    div.woocommerce-order > :not(.woocommerce-order-details, .woocommerce-customer-details){grid-column: 1 / -1}
    div.woocommerce-order h2 + *{margin-top: .625rem}

.product-added-tocart{display: grid; grid-template-columns: 1fr auto; gap: 0.625rem; align-items: center}


.product-quantity .quantity .qty{
    border: var(--ama-input-border-width) solid var(--ama-input-border-color);
    background: var(--ama-input-background-color);
    padding: .4375rem .25rem;
    border-radius: .3125rem;
    text-align: center;
    width: 3.75rem
}

* + .return-to-shop{margin-top: 1.875rem}